#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DBus
Summary:	Net::DBus - Perl extension for the DBus message system 
Summary(pl.UTF-8):	Net::DBus - Rozszerzenie Perla dla systemu komunikacji DBus
Name:		perl-Net-DBus
Version:	1.0.0
Release:	4
# "same as perl", but GPL v2+ is specified
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b17e32976d1a3b56feb908ebd7fed7f1
URL:		http://search.cpan.org/dist/Net-DBus/
BuildRequires:	dbus-devel >= 0.90
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Twig
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DBus provides a Perl XS API to the dbus inter-application
messaging system. The Perl API covers the core base level of the dbus
APIs, not concerning itself yet with the GLib or Qt wrappers. For more
information on dbus visit the project website at
<http://www.freedesktop.org/software/dbus/>.

%description -l pl.UTF-8
Moduł Net::DBus dostarcza API Perla XS dla dbusa - systemu komunikacji
między aplikacjami. API Perla pokrywa kluczową funkcjonalność API
dbusa, nie kłopocząc się jeszcze wrapperami GLiba albo Qt. Więcej
informacji na temat dbusa można znaleźć na stronie projektu:
<http://www.freedesktop.org/software/dbus/>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DBus/*.pod
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorarch}/Net/DBus/Tutorial

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%{perl_vendorarch}/Net/DBus.pm
%dir %{perl_vendorarch}/Net/DBus
%{perl_vendorarch}/Net/DBus/*.pm
%dir %{perl_vendorarch}/Net/DBus/Binding
%{perl_vendorarch}/Net/DBus/Binding/*.pm
%dir %{perl_vendorarch}/Net/DBus/Binding/Message
%{perl_vendorarch}/Net/DBus/Binding/Message/*.pm
%dir %{perl_vendorarch}/Net/DBus/Test
%{perl_vendorarch}/Net/DBus/Test/*.pm
%dir %{perl_vendorarch}/auto/Net/DBus
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DBus/DBus.so
%{_mandir}/man3/Net::DBus*.3pm*
%changelog
* Sat Sep 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-DBus.git;a=log;h=master

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 5c089f5
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 026d51d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6fe5ab6
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a7dcbbb
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 2739156
- use __rm macro

* Tue Nov 29 2011 Adam Osuchowski <adwol@pld-linux.org> 4383135
- up to 1.0.0

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 53ad010
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 1fa7a72
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 07d15f3
- release 3

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> d6cc16f
- release 2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 14a390a
- updated to 0.33.6
- fixed summaries c/p

* Tue Mar 11 2008 Patryk Zawadzki <patrys@room-303.com> 936ef88
- rel 3

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 271a88f
- rel.2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> bc87504
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 8dc10d0
- updated to 0.33.5

* Tue May 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 8bc48f9
- pass OPTIMIZE

* Tue May 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f1aee51
- rel 2; this is not noarch packet; BR dbus-devel

* Tue Mar 20 2007 Patryk Zawadzki <patrys@room-303.com> 96fdfd6
- not used (detected at build time)

* Tue Mar 20 2007 Patryk Zawadzki <patrys@room-303.com> 65f62c1
- 0.33.4
- patch0 now detected at build time
- still does not pass the tests

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 768064c
- tabs in preamble

